<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:template match="/">
			<xsl:apply-templates />
	</xsl:template>

<!-- on ne peut pas se passer de ce template car Underground  
	n'a pas que des Lines ( aussi des Stations) comme enfants.
	Et on ne veut pas descendre vers les stations
	-->
	<xsl:template match="Underground">
		
		<xsl:variable name="title" >
			Métro de <xsl:value-of select="@city"/> - <xsl:value-of select="@country"/>
		</xsl:variable>
		
		<HTML>
		<HEAD>
		<TITLE>
			<xsl:value-of select="$title" />
		</TITLE>
		</HEAD>
		<BODY>	
		<H1>
			<xsl:value-of select="$title" />
		</H1>
	
		<P>
		<xsl:apply-templates select="Lines" mode="tdm"/>
		</P>
		<BR/>
			<P>
				<TABLE border="1">		
					<xsl:apply-templates select="Lines"/>
				</TABLE>
			</P>
		</BODY>
		</HTML>			
	</xsl:template>

<!-- on peut se passe de ce template car Line  n'a que des Line comme enfants -->
	<xsl:template match="Lines">
			<xsl:apply-templates select="Line"/>
	</xsl:template>

	<xsl:template match="Line">
		<TR>
		<TD><H3><A name="{@id}">
			Ligne <xsl:value-of select="@name" ></xsl:value-of>
			</A></H3>	
		</TD>
		<TD>
			<ol>				
				<xsl:apply-templates select="StationRef"/>
			</ol>
		</TD>		
		</TR>
	</xsl:template>


	<xsl:template match="Line" mode="tdm" >
		<LI>
		<H3><A href="#{@id}">
			Ligne <xsl:value-of select="@name" ></xsl:value-of>
		</A></H3>
		</LI>
	</xsl:template>


	<xsl:template match="StationRef">
			<li>
					<xsl:value-of select="@ref" /> 
			</li>
	</xsl:template>

</xsl:stylesheet>