<?xml version="1.0" encoding="iso-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:output method="html" indent="yes" encoding="iso-8859-1"/>

	<xsl:template match="/">
			<xsl:apply-templates />
	</xsl:template>

<!-- on ne peut pas se passer de ce template car Underground  
	n'a pas que des Lines ( aussi des Stations) comme enfants.
	Et on ne veut pas descendre vers les stations
	-->
	<xsl:template match="Underground">
		<HTML>
		<HEAD>
		<TITLE>
		
		<xsl:text disable-output-escaping="no">
		Mtro de 
		</xsl:text>
		
		<xsl:value-of select="@city"/>  (<xsl:value-of select="@country"/>)
		</TITLE>
		</HEAD>
		<BODY>	
		<H1>
		Mtro de <xsl:value-of select="@city"/> (<xsl:value-of select="@country"/>)
		</H1>
	
		<P>
		<xsl:apply-templates select="Lines" mode="tdm"/>
		</P>
		<BR/>
			<P>
				<TABLE border="1">		
					<xsl:apply-templates select="Lines"/>
				</TABLE>
			</P>
		</BODY>
		</HTML>			
	</xsl:template>

<!-- on peut se passe de ce template car Line  n'a que des Line comme enfants -->
	<xsl:template match="Lines">
			<xsl:apply-templates select="Line"/>
	</xsl:template>

	<xsl:template match="Line" mode="tdm" >
		<LI>
		<H3><A href="#{@id}">
			Ligne <xsl:value-of select="@name" ></xsl:value-of>
		</A></H3>
		</LI>
	</xsl:template>

	<xsl:template match="Line">
		<TR>
		<TD><H3><A name="{@id}">
			Ligne <xsl:value-of select="@name" ></xsl:value-of>
			</A></H3>	
		</TD>
		<TD>
			<UL>
				<xsl:apply-templates select="StationRef"/>
			</UL>
		</TD>		
		</TR>
	</xsl:template>

	<xsl:template match="StationRef">
		<li>
			<xsl:variable name="ref" select="@ref" />
			<xsl:for-each select="/Underground/Stations/Station" >
				<xsl:if test="$ref=@id">
					<xsl:value-of select="@name" />
				</xsl:if>
			</xsl:for-each>
		</li>
	</xsl:template>

<!--
	<xsl:template match="StationRef">
		<li>
			<xsl:variable name="ref" select="@ref" />
			<xsl:value-of select=" //Station[ @id = $ref ]/@name"/>
		</li>
	</xsl:template>
-->
</xsl:stylesheet>