<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:template match="/">
		<HTML>
		<HEAD>
		<TITLE>
		Tout sur votre club favori !
		</TITLE>
		</HEAD>
		<BODY>
		<xsl:apply-templates select="club" />
		</BODY>
		</HTML>		
	</xsl:template>

	<xsl:template match="club">
		<H1>
		Détails du club :
		</H1>
		<P>
			<H2><xsl:value-of select="name" /></H2>
			<HR/>
			<H5>
			<P>
				Date de création : <xsl:value-of select="clubinfo/formed" />
			</P>
			<P>
				Terrain : <xsl:value-of select="clubinfo/ground/name" />
				( <xsl:value-of select="clubinfo/ground/capacity" /> spectators )
			</P>
			<P>
				Manager : <xsl:value-of select="clubinfo/manager/firstname" /><xsl:value-of select="clubinfo/manager/lastname" />
			</P>
			</H5>
		</P>
		<P>
			<xsl:apply-templates select="players" />
		</P>
	</xsl:template>
	
	<xsl:template match="players">	
		<TABLE border="1">
			<THEAD>
				<TR>
					<TH>Name</TH><TH>Weight (pounds)</TH><TH>Position</TH>
				</TR>
			</THEAD>
			<TBODY>
				<xsl:apply-templates select="player" >
					<xsl:sort select="lastname" />
					<xsl:sort select="firstname" />
				</xsl:apply-templates>
			</TBODY>
		</TABLE>
	</xsl:template>	

	<xsl:template match="player">	
		<TR>
			<TD><xsl:value-of select="firstname" /><xsl:text> </xsl:text><xsl:value-of select="lastname" /></TD>
			<TD><xsl:value-of select="weight" /></TD>
			<TD><xsl:value-of select="position" /></TD>
		</TR>
	</xsl:template>	
	
</xsl:stylesheet>