<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:output method = "html"  version="4.0" indent="yes"  />
	<xsl:template match="/">
		<HTML>
		<HEAD>
		<TITLE>
		Tout sur votre club favori !
		</TITLE>
		</HEAD>
		<BODY>
		<xsl:apply-templates select="club" />
		</BODY>
		</HTML>		
	</xsl:template>

	<xsl:template match="club">
		<H1>
		Détails du club :
		</H1>
		<P>
			<H2><xsl:value-of select="name" /></H2>
			<HR/>
			<H5>
			<P>
				Date de création : <xsl:value-of select="clubinfo/formed" />
			</P>
			<P>
				Terrain : <xsl:value-of select="clubinfo/ground/name" />
				( <xsl:value-of select="clubinfo/ground/capacity" /> spectators )
			</P>
			<P>
				Manager : <xsl:value-of select="clubinfo/manager/firstname" /><xsl:text> </xsl:text><xsl:value-of select="clubinfo/manager/lastname" />
			</P>
			</H5>
		</P>
		<P>
			<xsl:apply-templates select="players" />
		</P>
	</xsl:template>
	
	<xsl:template match="players">	
		<TABLE border="0" style="color:white" cellspacing="0">
			<THEAD>
				<TR style="color:white; background:gray"><TH>Number</TH><TH>Name</TH><TH>Weight (pounds)</TH><TH>Position</TH></TR>
			</THEAD>
			<TBODY>
			<xsl:apply-templates select="player" >
				<xsl:sort select="position" />			
			</xsl:apply-templates>
			</TBODY>
		</TABLE>
	</xsl:template>	

	<xsl:template match="player">	
		<xsl:choose>
			<xsl:when test="position='Goalkeeper'">
				<TR style="background:red">
					<xsl:apply-templates select="." mode="body"/>	
				</TR>
			</xsl:when>
			<xsl:when test="position='Defender'">
				<TR style="background:green">
					<xsl:apply-templates select="." mode="body"/>	
				</TR>
			</xsl:when>
			<xsl:when test="position='Attacker'">
				<TR style="background:blue">
					<xsl:apply-templates select="." mode="body"/>	
				</TR>
			</xsl:when>						
			<xsl:when test="position='Midfielder'">
				<TR style="background:black">
					<xsl:apply-templates select="." mode="body"/>	
				</TR>
			</xsl:when>	
			<xsl:otherwise>
				<TR style="background:purple">
					<xsl:apply-templates select="." mode="body"/>	
				</TR>
			</xsl:otherwise>				
		</xsl:choose>	
	
	</xsl:template>	
	
	<xsl:template match="player" mode="body" >
			<TD align="center"><xsl:number/></TD>
			<TD align="center"><xsl:value-of select="firstname" /><xsl:text> </xsl:text><xsl:value-of select="lastname" /></TD>
			<TD align="center"><xsl:value-of select="weight" /></TD>
			<TD align="center"><xsl:value-of select="position" /></TD>				
	</xsl:template>
	
	<xsl:template name="goalstostars">
		<xsl:param name="goals" select="0" />
		<xsl:if test="$goals &gt; 0">
			<xsl:call-template name="goalstostars">
				<xsl:with-param name="goals" select="$goals - 1" />
			</xsl:call-template>
			 * 	
		</xsl:if>	
	</xsl:template>
	
</xsl:stylesheet>