<!-- indexer les Station par @name
	
	 ??? indexer les StationRef par (Line/@id, StationRef/@ref )

-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

	<xsl:output method="html" encoding="iso-8859-1"/>

	<xsl:param name="station" select="'Montparnasse Bienvenue'" />



	<xsl:template match="/">

		<!-- retrouver l'identifiant de station correspondant au nom donné -->
		<xsl:variable name="stationRef" select="//Station[@name=$station]/@id" />

		<HTML>
		<HEAD>
		<TITLE>
		Lignes de métro passant par la station &quot;<xsl:value-of select="$station"/>&quot;
		</TITLE>
		</HEAD>
		<BODY>
		<H1>
			Lignes de métro passant par la station &quot;<xsl:value-of select="$station"/>&quot;</H1>
			
			<UL>
			
				<!-- 
				     trouver les lignes qui passent par la StationRef qui possède l'attribut @ref
				     avec la valeur $stationRef
				 -->
				 
				<xsl:apply-templates select="descendant::StationRef[@ref=$stationRef]/ancestor::Line" />
			</UL>
			<hr/>

		</BODY>
		</HTML>
	</xsl:template>

	<xsl:template match="Line">
		<LI><xsl:value-of select="@name"/></LI>
	</xsl:template>

</xsl:stylesheet>