<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >

<xsl:output indent="yes" />
<xsl:preserve-space elements="Training"/>

<xsl:template match="/">
		<xsl:apply-templates/>	
</xsl:template>

<xsl:template match="*">
	<xsl:copy>
		<xsl:copy-of select="@*" />
		<xsl:apply-templates select="*|text()"/>	
	</xsl:copy>
</xsl:template>

<xsl:template match="@*">
	<xsl:copy/>
</xsl:template>

<xsl:template match="Training">

	<xsl:variable name="jour" select="substring-before( @date, '/') " />
	<xsl:variable name="mois_an" select="substring-after( @date, '/') " />
	<xsl:variable name="mois" select="substring-before( $mois_an, '/') " />
	<xsl:variable name="an" select="substring-after( $mois_an, '/') " />
	
	<xsl:value-of select="not ( 
								string-length(@date) = 10
								and $jour != ''
  								and $mois != ''
								and $an != ''
		                    and $jour &gt; 0
		                    and $jour &lt; 32
		                    and $mois &gt; 0
		                    and $mois &lt; 13
		                    and $an &gt; 1990
		                    and $an &lt; 10000)"/><xsl:text> </xsl:text>


	<xsl:if test=" not ( 
								string-length(@date) = 10
								and $jour != ''
								and $mois != ''
								and $an != ''
		                    and $jour &gt; 0
		                    and $jour &lt; 32
		                    and $mois &gt; 0
		                    and $mois &lt; 13
		                    and $an &gt; 1990
		                    and $an &lt; 10000 
		                 )	
	">
			Error : date ( <xsl:value-of select="@date"/>)is not valid for 	<xsl:value-of select="../../@lastName"/>, client : <xsl:value-of select="../	@name"/>, training : <xsl:value-of select="@id"/>
          Expected format is dd/mm/yyyy
	
</xsl:if>		

	<!--	/SalesPerson/Client/Training/@date
			lastName name id
		-->
</xsl:template>

<xsl:template match="text()">
	<xsl:value-of select="normalize-space(.)" />
</xsl:template>

</xsl:stylesheet>
