<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" version="4.1" encoding="UTF-8" indent="yes"/>
	
	<xsl:template match="/" >
		<html>
			<head>
				<title></title>
			</head>
			<body>
				<h1>Valtech's SalesPersons</h1>
				<xsl:apply-templates select="Team/Salesperson"/>
				</body>
		</html>
	
	</xsl:template>
	
	<xsl:template match="Salesperson" >
		<h2><xsl:value-of select="@firstName"/> 	<xsl:value-of select="@lastName"/></h2>
		<table border="1">
			<tbody>
				<tr>
					<th>Client</th><th>Price in Euro</th><th>Original Price</th>
				</tr>
				<xsl:apply-templates />
			</tbody>
		</table>
		<br/>
	</xsl:template>

	<xsl:template match="Training">
		<tr>
			<td><xsl:value-of select="../@name"/></td>
			<td><xsl:apply-templates select="Price" mode="InEuro"/></td>
			<td><xsl:value-of select="format-number( Price/. , '000.00') "/><xsl:text>  </xsl:text><xsl:value-of select="Price/@unit"/></td>
		</tr>
	</xsl:template>
	
	<xsl:template match="Price" mode="InEuro">
		<xsl:choose>
			<xsl:when test=" @unit='Euro' "><xsl:value-of select=" format-number( . , '000.00') "/></xsl:when>
			<xsl:when test=" @unit='French Franc' "><xsl:value-of select=" format-number( number(string(text())) div 6.56, '000.00') "/></xsl:when>
		</xsl:choose>
	</xsl:template>	
	
</xsl:stylesheet>
