<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html" version="4.1" encoding="UTF-8" indent="yes"/>
	
	<xsl:variable name="path">../../00-Underground</xsl:variable> 

   <xsl:variable name="files">
      <File>ParisUnderground.xml</File>
      <File>LondonUnderground.xml</File>
   </xsl:variable>	
   
	<xsl:template match="/">
	<html>
		<head>
			<title></title>
		</head>
		<body>
			<ul>
				<xsl:for-each select=" $files/File">
					<xsl:variable name="currentFile" select="document(concat($path, '/', . ))" />					
					<li>
						<xsl:value-of select=" $currentFile/Underground/@city"/>
						( <xsl:value-of select=" $currentFile/Underground/@country"/> )<br/>
						<xsl:variable name="nbStations" select="count( 	$currentFile/Underground/Stations/Station)"/>
						<xsl:variable name="nbLignes" select="count( 	$currentFile/Underground/Lines/Line)"/>
						
						<xsl:value-of select="$nbLignes" /> Lignes<br/>
						<xsl:value-of select="$nbStations" /> Stations<br/>			
						<xsl:value-of select="format-number( $nbStations div $nbLignes, 	'#')" /> stations/ligne<br/>			
						
						<xsl:variable name="multiple-lines-stations">
							<stations>
							<xsl:for-each select="$currentFile//Station">
								<xsl:variable name="crosscount" select="count( $currentFile//StationRef[@ref= current()/@id ])" />
								
								<xsl:if test="$crosscount &gt; 1">											
									<station name="{@name}" id="{@id}" count="{$crosscount}"/> 
								</xsl:if>
								
							</xsl:for-each>
							</stations>
						</xsl:variable>
						<!-- test de verification -->
						<!--<ul>
						<xsl:for-each select="$multiple-lines-stations//station">
							<li>
								<xsl:value-of select="@name"/>
								-
								<xsl:value-of select="@count"/>
							</li>
						</xsl:for-each>
						</ul>
						-->
						<!-- fin du test -->
						<xsl:variable name="mls" select="count($multiple-lines-stations//station)" />
						<xsl:value-of select="$mls"/> stations avec plusieurs lignes<br/>
						<xsl:value-of select="format-number(($mls * 100) div $nbStations,'##0.00')"/> % : taux de stations à plusieurs lignes<br/>
						<br/>
					</li>
				</xsl:for-each>
			</ul>			
		</body>
	</html>			
		<!--
<Underground>
	<Lines>
		<Line name="Bakerloo Line" id="lineBakerlooLine">
			<StationRef 
		-->
	</xsl:template>
	
</xsl:stylesheet>
