<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	
	<!-- 
	<PLANT>
		<COMMON>Bloodroot</COMMON>
		<BOTANICAL>Sanguinaria canadensis</BOTANICAL>
		<ZONE>4</ZONE>
		<LIGHT>Mostly Shady</LIGHT>
		<PRICE>$2.44</PRICE>
		<AVAILABILITY>031599</AVAILABILITY>
	</PLANT>
-->	
	<xsl:template match="/">
		<fo:root >
			<fo:layout-master-set>
				<fo:simple-page-master master-name="basicpage"
				margin-bottom="0cm" 		margin-top="0cm" 
				margin-left="0cm" margin-right="0cm">
					<fo:region-body region-name="main" 
					margin-bottom="4cm"					margin-top="4cm"
					margin-left="4cm"					margin-right="4cm">
				</fo:region-body>
				</fo:simple-page-master>
				<fo:page-sequence-master master-name="basicsequence">
					<fo:single-page-master-reference master-reference="basicpage">
					</fo:single-page-master-reference>
				</fo:page-sequence-master>
			</fo:layout-master-set>
			<fo:page-sequence master-reference="basicsequence">
				<fo:flow flow-name="main">
					<fo:block>
						<fo:table>
							<fo:table-column column-width="5cm"/>
							<fo:table-column column-width="5cm"/>
							<fo:table-column column-width="2cm"/>
							<fo:table-column column-width="2cm"/>
							<fo:table-column column-width="2cm"/>
							<fo:table-column column-width="3cm"/>
							<fo:table-header>
								<fo:table-row background-color="#CC88FF" border-top-width="1pt" 
														border-top-style="solid"
														border-bottom-width="1pt" 
														border-bottom-style="solid">
									<fo:table-cell ><fo:block>Plant name</fo:block></fo:table-cell>
									<fo:table-cell><fo:block>Botanical name</fo:block></fo:table-cell>
									<fo:table-cell><fo:block>Zone</fo:block></fo:table-cell>
									<fo:table-cell><fo:block>Light</fo:block></fo:table-cell>
									<fo:table-cell><fo:block>Price</fo:block></fo:table-cell>
									<fo:table-cell><fo:block>Availability</fo:block></fo:table-cell>
								
								</fo:table-row>
							</fo:table-header>
							<fo:table-body>
								<xsl:apply-templates select="//PLANT" />
							</fo:table-body>
						</fo:table>
					</fo:block>
				</fo:flow>
			</fo:page-sequence>
	</fo:root>	
	</xsl:template>

	<xsl:template match="PLANT">
		<fo:table-row>
			<xsl:for-each select="*">
				<fo:table-cell border-top-width="1pt" border-top-style="solid"
			border-bottom-width="1pt" border-bottom-style="solid" 
				>
					<fo:block><xsl:value-of select="."/></fo:block>
				</fo:table-cell>
			</xsl:for-each>				
		</fo:table-row>
	
	</xsl:template>
	
</xsl:stylesheet>
